3月 292017
 

最近多个服务器在pkg upgrade或者pkg install的时候报错,内容是/usr/local/lib/libpkg.so.3: Undefined symbol “utimensat”
查了好多资料,最后无奈的发现是因为10.1和10.2已经停止维护,只有强制升级到10.3及以后才能够解决这个问题

根据官网的说法,可以直接升级到11.0,不过我失败了,系统说验证失败。不过升级到10.3还是可以的

#  setenv UNAME_r “10.3-RELEASE”
# : > /usr/bin/bspatch
# freebsd-update upgrade -r 10.3-RELEASE
# freebsd-update install
<reboot the system>
# freebsd-update install
<rebuild third-party software>
# freebsd-update install

 

 Posted by at 20:13

 Leave a Reply

You may use these HTML tags and attributes: <a href="" title=""> <abbr title=""> <acronym title=""> <b> <blockquote cite=""> <cite> <code> <del datetime=""> <em> <i> <q cite=""> <s> <strike> <strong>

(required)

(required)